Rasa x don't work

No local evaluation result files found

@benk Hi, if its related to yellow text warning, you can ignore or if you unable to chat with your chatbot or unable to open rasa x or install then it is a serious concern, please elaborate your issue more, so that we can provide you better solution for the same. Thanks.

1 Like

Hi thanks for your reply that’s exactly the error message, when i went to enter rasa x in the first time when i install rasa x then rasa init was perfectly.

Starting Rasa X in local mode… :rocket: 2021-08-16 21:01:32 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. Traceback (most recent call last): File “c:\programdata\anaconda3\envs\rasa3\lib\site-packages\rasa\cli\x.py”, line 502, in run_locally domain_path=domain_path, File “c:\programdata\anaconda3\envs\rasa3\lib\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “c:\programdata\anaconda3\envs\rasa3\lib\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “c:\programdata\anaconda3\envs\rasa3\lib\asyncio\base_events.py”, line 488, in run_until_complete return future.result() File “c:\programdata\anaconda3\envs\rasa3\lib\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models await model_service.discover_models() File “c:\programdata\anaconda3\envs\rasa3\lib\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “c:\programdata\anaconda3\envs\rasa3\lib\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “c:\programdata\anaconda3\envs\rasa3\lib\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “c:\programdata\anaconda3\envs\rasa3\lib\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “c:\programdata\anaconda3\envs\rasa3\lib\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version info = await stack_service.version() File “c:\programdata\anaconda3\envs\rasa3\lib\site-packages\rasax\community\services\stack_service.py”, line 110, in version timeout=timeout_in_seconds, File “c:\programdata\anaconda3\envs\rasa3\lib\site-packages\aiohttp\client.py”, line 619, in _request break File “c:\programdata\anaconda3\envs\rasa3\lib\site-packages\aiohttp\helpers.py”, line 656, in exit raise asyncio.TimeoutError from None concurrent.futures._base.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

@benk please share your rasa version rasa --version

Hi this is the configuration of rasa:

(rasa3) C:\WINDOWS\system32>rasa --version Rasa Version : 2.8.2 Minimum Compatible Version: 2.8.0 Rasa SDK Version : 2.8.1 Rasa X Version : 0.42.0 Python Version : 3.6.13 Operating System : Windows-10-10.0.19041-SP0 Python Path : c:\programdata\anaconda3\envs\rasa3\python.exe

@benk I’d request please downgrade the rasa x to 0.39.3

pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

and try to run the rasa again whilst using rasa x and please share the upcoming errors.

Hi thanks for your reply when i try to execute this install: pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

I found this error:

Starting Rasa X in local mode… :rocket: Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasa\cli\x.py”, line 502, in run_locally domain_path=domain_path, File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\local.py”, line 234, in main sql_migrations.run_migrations(session) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\sql_migrations.py”, line 25, in run_migrations _run_schema_migrations(session) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\sql_migrations.py”, line 41, in _run_schema_migrations _run_alembic_migration(alembic_config) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\sql_migrations.py”, line 65, in _run_alembic_migration command.upgrade(alembic_config, target_revision) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\command.py”, line 298, in upgrade script.run_env() File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\script\base.py”, line 489, in run_env util.load_python_file(self.dir, “env.py”) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\util\pyfiles.py”, line 98, in load_python_file module = load_module_py(module_id, path) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\util\compat.py”, line 184, in load_module_py spec.loader.exec_module(module) File “”, line 728, in exec_module File “”, line 219, in _call_with_frames_removed File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 96, in run_migrations_online() File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 86, in run_migrations_online context.run_migrations() File “”, line 8, in run_migrations File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\runtime\environment.py”, line 846, in run_migrations self.get_context().run_migrations(**kw) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\runtime\migration.py”, line 511, in run_migrations for step in self._migrations_fn(heads, self): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\command.py”, line 287, in upgrade return script._upgrade_revs(revision, rev) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\script\base.py”, line 364, in _upgrade_revs revs = list(revs) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\script\revision.py”, line 777, in _iterate_revisions uppers = util.dedupe_tuple(self.get_revisions(upper)) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\script\revision.py”, line 321, in get_revisions resolved_id, branch_label = self.resolve_revision_number(id) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\script\revision.py”, line 501, in _resolve_revision_number self._revision_map File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\util\langhelpers.py”, line 230, in get obj.dict[self.name] = result = self.fget(obj) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\script\revision.py”, line 123, in _revision_map for revision in self._generator(): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\script\base.py”, line 112, in _load_revisions script = Script.from_filename(self, vers, file) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\script\base.py”, line 906, in from_filename module = util.load_python_file(dir, filename) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\util\pyfiles.py”, line 98, in load_python_file module = load_module_py(module_id, path) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\alembic\util\compat.py”, line 184, in load_module_py spec.loader.exec_module(module) File “”, line 728, in exec_module File “”, line 219, in call_with_frames_removed File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\schema_migrations\alembic\versions\migration_2019_06_03_initial_migration_2a216ed121dd.py”, line 14, in import rasax.community.database.schema_migrations.alembic.utils as migration_utils File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\schema_migrations\alembic\utils.py”, line 12, in from sqlalchemy.engine import reflection, RowProxy, Connection ImportError: cannot import name ‘RowProxy’ from ‘sqlalchemy.engine’ (C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\sqlalchemy\engine_init.py)

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

@benk install

pip install SQLAlchemy==1.3.22

Hope this will solve or share new error please.

Hi after install SQLALchemy==1.3.22

that’s the result:

Starting Rasa X in local mode… :rocket: 2021-08-19 16:58:23 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. 2021-08-19 16:58:27 ERROR concurrent.futures - exception calling callback for <Future at 0x2676cc8e448 state=finished raised gaierror> Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\socket.py”, line 752, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\concurrent\futures_base.py”, line 324, in _invoke_callbacks callback(self) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\asyncio\futures.py”, line 365, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\asyncio\base_events.py”, line 732, in call_soon_threadsafe self._check_closed() File “C:\ProgramData\Anaconda3\envs\rasa2\lib\asyncio\base_events.py”, line 479, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-08-19 16:58:27 ERROR concurrent.futures - exception calling callback for <Future at 0x2676cc8e188 state=finished returned list> Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\concurrent\futures_base.py”, line 324, in _invoke_callbacks callback(self) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\asyncio\futures.py”, line 365, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\asyncio\base_events.py”, line 732, in call_soon_threadsafe self._check_closed() File “C:\ProgramData\Anaconda3\envs\rasa2\lib\asyncio\base_events.py”, line 479, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-08-19 16:58:30 ERROR asyncio - Task was destroyed but it is pending! task: <Task pending coro=<TCPConnector._resolve_host() done, defined at C:\Users\benkassioui.IMIST\AppData\Roaming\Python\Python37\site-packages\aiohttp\connector.py:774> wait_for=<Future pending cb=[_chain_future.._call_check_cancel() at C:\ProgramData\Anaconda3\envs\rasa2\lib\asyncio\futures.py:351, <TaskWakeupMethWrapper object at 0x000002676CCB78E8>()]>> [2021-08-19 16:58:30 +0100] [18256] [INFO] Goin’ Fast @ http://0.0.0.0:5002 2021-08-19 16:58:30 INFO sanic.root - Goin’ Fast @ http://0.0.0.0:5002

The server is running at http://localhost:5002/login?username=me&password=r8ecv8swOSYM

[2021-08-19 16:58:31 +0100] [18256] [INFO] Starting worker [18256] 2021-08-19 16:58:31 INFO sanic.root - Starting worker [18256] [2021-08-19 16:58:31 +0100] [18256] [ERROR] Exception occurred while handling uri: ‘http://localhost:5002/static/css/2.76114161.chunk.css’ Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\sanic\app.py”, line 908, in handle_request request, request_name=name File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’ 2021-08-19 16:58:31 ERROR sanic.root - Exception occurred while handling uri: ‘http://localhost:5002/static/css/2.76114161.chunk.css’ Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\sanic\app.py”, line 908, in handle_request request, request_name=name File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’ [2021-08-19 16:58:31 +0100] [18256] [ERROR] Exception occurred while handling uri: ‘http://localhost:5002/static/css/main.7023b552.chunk.css’ Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\sanic\app.py”, line 908, in handle_request request, request_name=name File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’ 2021-08-19 16:58:31 ERROR sanic.root - Exception occurred while handling uri: ‘http://localhost:5002/static/css/main.7023b552.chunk.css’ Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\sanic\app.py”, line 908, in handle_request request, request_name=name File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’ [2021-08-19 16:58:31 +0100] [18256] [ERROR] Exception occurred while handling uri: ‘http://localhost:5002/static/js/2.015930af.chunk.js’ Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\sanic\app.py”, line 908, in handle_request request, request_name=name File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’ 2021-08-19 16:58:31 ERROR sanic.root - Exception occurred while handling uri: ‘http://localhost:5002/static/js/2.015930af.chunk.js’ Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\sanic\app.py”, line 908, in handle_request request, request_name=name File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’ [2021-08-19 16:58:31 +0100] [18256] [ERROR] Exception occurred while handling uri: ‘http://localhost:5002/static/js/main.8b4a3d8b.chunk.js’ Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\sanic\app.py”, line 908, in handle_request request, request_name=name File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’ 2021-08-19 16:58:31 ERROR sanic.root - Exception occurred while handling uri: ‘http://localhost:5002/static/js/main.8b4a3d8b.chunk.js’ Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\sanic\app.py”, line 908, in handle_request request, request_name=name File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’ [2021-08-19 16:58:31 +0100] [18256] [ERROR] Exception occurred while handling uri: ‘http://localhost:5002/icons/favicon.ico’ Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\sanic\app.py”, line 908, in handle_request request, request_name=name File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’ 2021-08-19 16:58:31 ERROR sanic.root - Exception occurred while handling uri: ‘http://localhost:5002/icons/favicon.ico’ Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\sanic\app.py”, line 908, in handle_request request, request_name=name File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’ [2021-08-19 16:58:34 +0100] [18256] [ERROR] Exception occurred while handling uri: ‘http://localhost:5002/api/projects/default/models/tags/production?token=faaba5d93969bba9c851575f1f95ae2c’ Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\sanic\app.py”, line 908, in handle_request request, request_name=name File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’ 2021-08-19 16:58:34 ERROR sanic.root - Exception occurred while handling uri: ‘http://localhost:5002/api/projects/default/models/tags/production?token=faaba5d93969bba9c851575f1f95ae2c’ Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\sanic\app.py”, line 908, in handle_request request, request_name=name File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’ [2021-08-19 16:58:38 +0100] [18256] [ERROR] Exception occurred while handling uri: ‘http://localhost:5002/api/projects/default/models/tags/production?token=faaba5d93969bba9c851575f1f95ae2c’ Traceback (most recent call last): File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\sanic\app.py”, line 908, in handle_request request, request_name=name File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\spf\framework.py”, line 646, in _run_request_middleware_19_12 response = await response File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\database\utils.py”, line 368, in set_session user = await decorators.user_from_request(request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 90, in user_from_request return await _get_user_from_request(request.app, request) File “C:\ProgramData\Anaconda3\envs\rasa2\lib\site-packages\rasax\community\api\decorators.py”, line 73, in _get_user_from_request payload = await instance.auth.extract_payload(request, verify=False) AttributeError: ‘Sanic’ object has no attribute ‘auth’

@benk

Sorry for late reply.

install pip install sanic-jwt==1.6.0

If you see alembic.util.exc error:

delete .db databases events and rasa from project folder and run rasa x, you will be good to go then.

If error share.

Great it’s ok thank you very much the problem is resolved

@benk great, please close this thread with the solution for others.